<div class="cookie-warning-content">
  <div class="cookie-warning-text">
    <p>{{ "COOKIE.TEXT" | translate }}</p>
    <p class="fake-link" (click)="onDataProtectionDeclarationClick()">
      {{ "COOKIE.INFO_LINK" | translate }}
    </p>
  </div>

  <div class="cookie-warning-settings" *ngIf="isSettingsActive">
    <div class="cookie-settings-title">
      {{ "COOKIE.SETTINGS_TITLE" | translate }}
    </div>
    <ion-row class="checkbox-section">
      <ion-item lines="none" class="checkbox-item">
        <ion-checkbox
          labelPlacement="end"
          [checked]="essential"
          (ionChange)="onEssential($event)"
          disabled
          class="checkbox"
          >{{ "COOKIE.ESSENTIAL" | translate }}</ion-checkbox
        >
      </ion-item>
      <ion-item lines="none" class="checkbox-item">
        <ion-checkbox
          labelPlacement="end"
          [checked]="analytics"
          (ionChange)="onAnalytics($event)"
          class="checkbox"
          >{{ "COOKIE.ANALYTICS" | translate }}</ion-checkbox
        >
      </ion-item>
      <ion-item lines="none" class="checkbox-item">
        <ion-checkbox
          labelPlacement="end"
          [checked]="marketing"
          (ionChange)="onMarketing($event)"
          class="checkbox"
          >{{ "COOKIE.MARKETING" | translate }}</ion-checkbox
        >
      </ion-item>
    </ion-row>
  </div>

  <div class="cookie-warning-btn">
    <div class="btn-group">
      <ion-button
        class="action-btn"
        size="small"
        (click)="onCookieAcceptClick()"
        innerHTML="{{ 'COOKIE.ACCEPT_BTN' | translate }}"
      ></ion-button>

      <ion-button
        class="action-btn"
        size="small"
        color="medium"
        (click)="onSettingsClick()"
        [disabled]="isSettingsActive"
        innerHTML="{{ 'COOKIE.CUSTOM_BTN' | translate }}"
      ></ion-button>
    </div>
  </div>
</div>
